* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body,
html {
  width: 100%;
  height: 100%;
  overflow: hidden;
  font-family: "PingFang SC", "Microsoft YaHei", sans-serif;
  background-color: rgb(30, 31, 34);
  background-size: contain;
  opacity: 1;
  transition: opacity 0.5s ease-in-out;
}

body.fade-out {
  opacity: 0;
}

.portal-container {
  width: 1920px;
  height: 1080px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: url('../image/bg.png') no-repeat center;
  background-size: cover;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.entry-header {
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  padding-top: 30px;
  box-sizing: border-box;
}

.entry-header img {
  width: 100%;
  height: 70px;
  object-fit: contain;
}

.entry-body {
  flex: 1;
  width: 100%;
  padding: 0 158.2px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.right-line {
  background: url('../image/right-line.png') no-repeat center;
  background-size: contain;
  width: 136px;
  height: 100%;
}

.left-line {
  background: url('../image/left-line.png') no-repeat center;
  background-size: contain;
  width: 136px;
  height: 100%;
}

.body-container {
  flex: 1;
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 0 220px;
}

.entry-item {
  width: 420px;
  height: 450px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
}

.item-bg {
  width: 414px;
  height: 349px;
  object-fit: contain;
}

.item-btn {
  width: 178px;
  height: 60px;
  transition: transform 0.3s;
  cursor: pointer;
}

.selected-icon {
  position: absolute;
  width: 414px;
  height: 100px;
  opacity: 0;
  transition: opacity 0.3s;
  pointer-events: none;
  z-index: 2;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.item-btn:hover {
  transform: scale(1.05);
}

.item-btn:hover~.selected-icon {
  opacity: 1;
}

.iframe-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 100;
  background-color: #1e1f22;
  display: none;
}

.iframe-wrapper iframe {
  width: 100%;
  height: 100%;
  border: none;
}

.back-btn {
  position: absolute;
  /* top: .75rem;
  right: .2rem;
  width: 1.8rem;
  height: 1rem; */

  top: .45rem;
  right: .25rem;
  width: 1.2rem;
  height: 1rem;
  background: transparent;
  font-size: .16rem;
  cursor: pointer;
  border-radius: 4px;
  z-index: 101;
  transition: all 0.3s;
  font-family: inherit;
  display: flex;
  align-items: center;
  justify-content: center;
  touch-action: manipulation;
}

@media (hover: hover) {
  .back-btn:hover {
    color: #fff;
    box-shadow: 0 0 20px rgba(0, 153, 255, 0.2);
  }
}